Previously the opkg package install code installed any package build variant
that was either set to <*> (builtin) or <m> (package only) which leads to
file clashes with most candidates, e.g. between "ip" and "ip-full".

In order to fix those clashes, only install build variants which are
explicitely set to builtin in menuconfig.

Signed-off-by: Jo-Philipp Wich <j...@mein.io>
---
 package/Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/package/Makefile b/package/Makefile
index 8726e2e..4098bc2 100644
--- a/package/Makefile
+++ b/package/Makefile
@@ -30,8 +30,8 @@ endif
 PACKAGE_INSTALL_FILES:= \
        $(foreach pkg,$(sort $(package-y)), \
                $(foreach variant, \
-                       $(if $(strip $(package/$(pkg)/variants)), \
-                               $(package/$(pkg)/variants), \
+                       $(if $(strip $(package/$(pkg)/variants-y)), \
+                               $(package/$(pkg)/variants-y), \
                                $(if $(package/$(pkg)/default-variant), \
                                        $(package/$(pkg)/default-variant), \
                                        default \
-- 
2.1.4


_______________________________________________
Lede-dev mailing list
Lede-dev@lists.infradead.org
http://lists.infradead.org/mailman/listinfo/lede-dev

Reply via email to